if [[ $1 == '' ]]; then
	echo "
USAGE: ./run.sh prgName mode domain internalW externalW outFile

with

prgName : [ barrier    | central    | workstealing | philo      |
            robots_2x2 | robots_2x3 | robots_3x3   | robots_4x4 ]

mode    : [ lazy | eager | eager+ | interf ]

domain  : [ intvl | poly | oct ]"
else
  echo "=================================="
  echo "PROGRAM:           $1"
  echo "MODE:              $2"
  echo "DOMAIN:            $3"
  echo "INTERNAL WIDENING: $4"
  echo "EXTERNAL WIDENING: $5"
  echo "=================================="
  echo ""
  
  cd bin;
  time ./numinv ../prgs/$1.prg --iterate -m $2 -d $3 --widening_after $4 --trs_widening $5 --inv_file ../$6 $7;
	cd .. ;
fi
